DB_MULTIPLE_INIT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_INIT

    #include <db.h>

    DB_MULTIPLE_INIT(void *pointer, DBT *data);

If either of the DB_MULTIPLE or DB_MULTIPLE_KEY flags were specified to the DB->get() or DBcursor->get() methods, the data DBT returned by those interfaces will refer to a buffer that is filled with data. Access to that data is through the DB_MULTIPLE_* macros.

This macro initializes a variable used for bulk retrieval.

### Parameters

#### pointer

The pointer parameter is a variable to be initialized.

#### data

The data parameter is a DBT structure returned from a successful call to DB->get() or DBcursor->get() for which one of the DB_MULTIPLE or DB_MULTIPLE_KEY flags were specified.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
Chapter 4. The DBT Handle | Home | DB_MULTIPLE_NEXT